petsc-3.4.2 2013-07-02

# MatSchurComplementGetKSP

Gets the KSP object that is used to invert A in the Schur complement matrix S = C A^{-1} B

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatSchurComplementGetKSP(Mat A, KSP *ksp)

Not Collective

### Input Parameter

A -matrix created with MatCreateSchurComplement()

### Output Parameter

ksp -the linear solver object

### Options Database

-fieldsplit_0_XXX sets KSP and PC options for the A block solver inside the Schur complement -

### See Also

MatSchurComplementSetKSP(), MatCreateSchurComplement(), MatCreateNormal(), MatMult(), MatCreate()

Level:intermediate
Location:src/ksp/ksp/utils/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages